Last Comment Bug 790180 - android.view.ViewRootImpl$CalledFromWrongThreadException: Only the original thread that created a view hierarchy can touch its views. at android.view.ViewRootImpl.checkThread(ViewRootImpl.java) at android.widget.ListView.setSelectionFromTop(ListView.java)
: android.view.ViewRootImpl$CalledFromWrongThreadException: Only the original t...
Status: VERIFIED FIXED
[native-crash][STR in comment 4]
: crash, regression, reproducible, topcrash
Product: Firefox for Android
Classification: Client Software
Component: Theme and Visual Design (show other bugs)
: 15 Branch
: ARM Android
: P1 critical (vote)
: Firefox 18
Assigned To: Chris Peterson [:cpeterson]
:
Mentors:
Depends on: 786312
Blocks: 769894
  Show dependency treegraph
 
Reported: 2012-09-11 02:55 PDT by Scoobidiver (away)
Modified: 2016-07-29 14:29 PDT (History)
4 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
affected
+
fixed
+
verified
+
verified


Attachments

Description Scoobidiver (away) 2012-09-11 02:55:29 PDT
It's #2 top crasher in 15.0.1, #9 in 17.0a2 and #20 in 18.0a1.
The stack trace is different from bug 771544 and bug 786312.

It first appeared in 18.0a1/20120906, 17.0a2/20120606 and 15.0.1.
The regression windows are:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=6705e131aeaa&tochange=0c4fa25f637b
http://hg.mozilla.org/releases/mozilla-aurora/pushloghtml?fromchange=31341ab65f0c&tochange=c2cc63c864e4
http://hg.mozilla.org/releases/mozilla-release/pushloghtml?fromchange=d470654392d9&tochange=3011a47b3812
It's a regression from bug 769894.

Here is a crash report: bp-c79418ad-e776-4894-bf4b-04eb52120911.

android.view.ViewRootImpl$CalledFromWrongThreadException: Only the original thread that created a view hierarchy can touch its views.
	at android.view.ViewRootImpl.checkThread(ViewRootImpl.java:4267)
	at android.view.ViewRootImpl.requestLayout(ViewRootImpl.java:842)
	at android.view.View.requestLayout(View.java:12815)
	at android.view.View.requestLayout(View.java:12815)
	at android.widget.AbsListView.requestLayout(AbsListView.java:1809)
	at android.widget.ListView.setSelectionFromTop(ListView.java:1930)
	at android.widget.ListView.setSelection(ListView.java:1895)
	at android.widget.ListPopupWindow.setSelection(ListPopupWindow.java:673)
	at android.widget.Spinner$DropdownPopup.show(Spinner.java:778)
	at android.widget.ListPopupWindow$ResizePopupRunnable.run(ListPopupWindow.java:1240)
	at android.os.Handler.handleCallback(Handler.java:605)
	at android.os.Handler.dispatchMessage(Handler.java:92)
	at android.os.Looper.loop(Looper.java:137)
	at org.mozilla.gecko.GeckoBackgroundThread.run(GeckoBackgroundThread.java:31)

More reports at:
https://crash-stats.mozilla.com/report/list?signature=android.view.ViewRootImpl%24CalledFromWrongThreadException%3A+Only+the+original+thread+that+created+a+view+hierarchy+can+touch+its+views.+at+android.view.ViewRootImpl.checkThread%28ViewRootImpl.java%29
Comment 1 Alex Keybl [:akeybl] 2012-09-11 09:53:25 PDT
Assigning to Chris. Are we sure this is caused by bug 769894 as opposed to bug 788600?

We'll keep an eye on the volume to make sure this isn't a significant new top crasher.
Comment 2 Scoobidiver (away) 2012-09-11 10:12:40 PDT
(In reply to Alex Keybl [:akeybl] from comment #1)
> Assigning to Chris. Are we sure this is caused by bug 769894 as opposed to
> bug 788600?
By fixing bug 788600, this bug and all dependencies of bug 769520 including crashes have been (re-)introduced.
Comment 3 Chris Peterson [:cpeterson] 2012-09-11 10:24:04 PDT
(In reply to Alex Keybl [:akeybl] from comment #1)
> Assigning to Chris. Are we sure this is caused by bug 769894 as opposed to
> bug 788600?
> 
> We'll keep an eye on the volume to make sure this isn't a significant new
> top crasher.

This bug is likely related to, not a regression, of bug 769894. The patch for bug 769894 was fixed *a* bug, but it was mostly speculation by Sriram and me that it was the exact stack trace in bug 769894.

I don't think IME bug 788600 is related.
Comment 4 Aaron Train [:aaronmt] 2012-09-13 08:35:34 PDT
STR on Nightly (09/13)

Install Phony, pull up the Phony menu and scroll through it. I hit this crash each and every single.
Comment 5 Chris Peterson [:cpeterson] 2012-09-13 10:41:50 PDT
Thanks, Aaron!

With your STR, I can repro with Nightly 09-13.
Comment 6 Chris Peterson [:cpeterson] 2012-09-17 12:48:41 PDT
I posted a patch on bug 786312 that should fix this bug.
Comment 7 Chris Peterson [:cpeterson] 2012-09-17 17:26:20 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/9980650215af
Comment 8 Graeme McCutcheon [:graememcc] 2012-09-18 05:04:15 PDT
https://hg.mozilla.org/mozilla-central/rev/9980650215af
Comment 10 Scoobidiver (away) 2012-09-21 04:59:17 PDT
There are no crashes after 18.0a1/20120918 and 17.0a2/20120918.

Note You need to log in before you can comment on or make changes to this bug.